Braintree for WooCommerce Payment Gateway

Description

The Braintree for WooCommerce gateway lets you accept credit cards and PayPal payments on your WooCommerce store via Braintree. Customers can save their credit card details or link a PayPal account to their WooCommerce user account for fast and easy checkout.

With this gateway, you can securely sell your products online using Hosted Fields, which help you meet security requirements without sacrificing flexibility or an integrated checkout process. Hosted Fields, similar to iFrames, are hosted on PayPal’s servers but fit inside the checkout form elements on your site, providing a secure, seamless means for customers to share their payment information.

Braintree for WooCommerce supports tokenization, letting your customers save their credit cards or connect their PayPal account for faster, easier subsequent checkouts. The gateway also supports WooCommerce Subscriptions to let you sell products with recurring billing and WooCommerce Pre-Orders, which supports accepting payments for upcoming products as they ship or up-front.

Powering Advanced Payments

Braintree for WooCommerce provides several advanced features for transaction processing and payment method management.

  • Meets PCI Compliance SAQ-A standards
  • Supports WooCommerce Subscriptions, and WooCommerce Pre-Orders
  • Customers can securely save credit cards or link PayPal accounts to your site
  • Easily process refunds, void transactions, and capture charges right from WooCommerce
  • Route payments in different currencies to different Braintree accounts (requires currency switcher)
  • Supports Braintree’s extensive suite of fraud tools
  • Supports 3D Secure
  • Includes express checkout options like Buy Now buttons on product pages and PayPal Connect buttons in the Cart
  • …and much more!

Screenshots

  • Enter Braintree credentials
  • Credit card gateway settings
  • Advanced credit card gateway settings
  • PayPal gateway settings
  • Checkout with PayPal directly from the cart
  • Checkout with PayPal directly from the product page

Installation

Minimum Requirements

  • PHP 7.4+ (you can see this under WooCommerce > Status)
  • WooCommerce 8.1+
  • WordPress 6.2+
  • An SSL certificate
  • cURL support (most hosts have this enabled by default)

Installation

Click here for instructions on installing plugins on your WordPress site. We recommend using automatic installation as the simplest method.

Updating

Automatic updates should work like a charm, though we do recommend creating a backup of your site before updating, just in case.

If you do encounter an issue after updating, you may need to flush site permalinks by going to Settings > Permalinks and clicking Save Changes. That will usually return things to normal!

FAQ

Where can I find documentation?

Great question! Click here to review Braintree for WooCommerce documentation. This documentation includes detailed setup instructions and information about using the gateway’s features.

Does this plugin work with credit cards, or just PayPal?

This plugin supports payments with credit cards and PayPal.

Does this plugin support recurring payment, like for subscriptions?

Yes! This plugin supports tokenization, which is required for recurring payments such as those created with WooCommerce Subscriptions.

What currencies are supported?

This plugin supports all countries in which Braintree is available. You can use your native currency, or you can add multiple merchant IDs to process different currencies via different Braintree accounts. To use multi-currency, your site must use a currency switcher to adjust the order currency (may require purchase). We’ve tested this plugin with the Aelia Currency Switcher (requires purchase).

Can non-US merchants use this plugin?

Yes! This plugin supports all countries where Braintree is available.

Does this plugin support testing and production modes?

Yes! This plugin includes a production and sandbox mode so you can test without activating live payments.

Credit cards are working fine, but PayPal’s not working. What’s going on?

It sounds like you may need to enable PayPal on your Braintree account. Click here for instructions on enabling PayPal in your Braintree control panel.

Can I use this plugin just for PayPal?

Sure thing! Click here for instructions on setting up this gateway to only accept PayPal payments.

Will this plugin work with my site’s theme?

Braintree for WooCommerce should work nicely with any WooCommerce compatible theme (such as Storefront), but may require some styling for a perfect fit. For assistance with theme customization, please visit the WooCommerce Codex.

Where can I get support, request new features, or report bugs?

First, please check out our plugin documentation to see if that addresses any of your questions or concerns.

If not, please get in touch with us through the plugin forums!

Reviews

9. Februar 2024 1 reply
The plugin seems fine. Support--especially here on wordpress.org--can be pretty terrible. This rating is for plugin support.
19. Juni 2022 3 replies
Braintree claims to be available in Australia but there is no way to setup an account nor does the sales team respond. Just not interested in getting new customers.
21. März 2022 1 reply
Put $100k plus through their parent company, PayPal, but can I get a simple response to a tech request, as if. It's been a whole day of support going "hit email response 79, 48, 86" whatever, just don't answer the question. Steer clear.
14. Juni 2022 1 reply
After new update it stops working on the front end. The issue was related to the compatibility with server and the new update. I'm giving only 4 stars as the customer service just left me to resolve it on my own.
Read all 48 reviews

Contributors & Developers

Changelog

3.1.3 – 2024-02-05

  • Add – Cart and Checkout block support for PayPal Express Checkout.
  • Dev – Bump WooCommerce «tested up to» version 8.5.
  • Dev – Bump WooCommerce minimum supported version to 8.3.
  • Dev – Bump WordPress minimum supported version to 6.3.

3.1.2 – 2024-01-22

  • Fix – Ensure correct functionality of dynamic descriptor name validation.

3.1.1 – 2024-01-09

  • Dev – Declare compatibility with Product Editor.
  • Dev – Declare compatibility with WooCommerce Blocks.
  • Dev – Bump WooCommerce «tested up to» version 8.4.
  • Dev – Bump WooCommerce minimum supported version to 8.2.
  • Tweak – Bump PHP «tested up to» version 8.3.

3.1.0 – 2023-12-04

  • Dev – Update PHPCS and PHPCompatibility GitHub Actions.
  • Tweak – Admin settings colour to match admin theme colour scheme.

3.0.9 – 2023-11-20

  • Dev – Added critical flows end-to-end tests.
  • Dev – Bump Woocommerce «requires at least» 8.1.
  • Dev – Bump Woocommerce «tested up to» version 8.3.
  • Dev – Bump WordPress «tested up to» version 6.4.
  • Dev – Bump WordPress minimum supported version to 6.2.

3.0.8 – 2023-10-30

  • Fix – Ensure Braintree block checkout works with FSE themes.
  • Fix – Prevent PHP warnings if no Credit Card logos are displayed.

3.0.7 – 2023-10-23

  • Dev – Bump WooCommerce «tested up to» version 8.1.
  • Dev – Bump WooCommerce minimum supported version to 7.9.
  • Tweak – Bump skyverge/wc-plugin-framework from 5.10.15 to 5.11.8.
  • Tweak – Bump minimum PHP version from 7.3 to 7.4.

3.0.6 – 2023-09-18

  • Tweak – Payment method text for subscriptions via the PayPal button gateway.
  • Dev – Bump WordPress «tested up to» version to 6.3.
  • Dev – Bump WooCommerce «tested up to» version 7.9.
  • Dev – Bump WooCommerce minimum supported version to 7.7.

3.0.5 – 2023-08-29

  • Fix – Link to merchant account IDs documentation within the settings pages.

3.0.4 – 2023-07-25

  • Fix – Check whether wc_get_notices function exists before using it.
  • Dev – Add Playwright end-to-end tests.
  • Dev – Bump Braintree SDK from 3.73.1 to 3.94.0.

3.0.3 – 2023-07-05

  • Dev – Bump WooCommerce «tested up to» version 7.8.
  • Dev – Bump WooCommerce minimum supported version from 6.8 to 7.2.
  • Dev – Bump WordPress minimum supported version from 5.8 to 6.1.
  • Dev – Ensure translations are properly defined.
  • Dev – Remove deprecated class aliases for framework classes renamed in 2.4.0.
  • Dev – Resolve coding standards issues.
  • Fix – Admin can now save multiple merchant Account IDs.

3.0.2 – 2023-05-24

  • Add – Support for Cart and Checkout blocks.
  • Dev – Bump WooCommerce minimum supported version from 6.0 to 6.8.
  • Dev – Bump WooCommerce “tested up to” version 7.4.
  • Dev – Bump WooCommerce “tested up to” version 7.6.
  • Dev – Bump WordPress minimum supported version from 5.6 to 5.8.
  • Dev – Bump WordPress “tested up to” version 6.2.

3.0.1 – 2023-04-04

  • Dev – Build with Gulp instead of using skyverge/sake

3.0.0 – 2023-03-16

  • Dev – Bump WooCommerce «tested up to» version 7.3.0.
  • Dev – Resolve linting issues.

2.9.1 – 2022-12-19

  • Added – Warning about Braintree payment method at User delete confirmation screen.
  • Fix – Don’t delete the payment method at Braintree if website is staging environment.
  • Fix – Billing address details do not get autofilled on the checkout page when using express checkout.
  • Update – Node version from v12 to v16.
  • Update – Npm version to v8.

2.9.0 – 2022-11-01

  • Add – Support for High-performance Order Storage (“HPOS”).
  • Add – Declare compatibility with High-Performance Order Storage (“HPOS”).
  • Fix – Display more detailed error messages on checkout.

2.8.0 – 2022-10-12

  • Add – Support for 3DS2 / EMV 3DS cards.
  • Fix – Upgrade Braintree PHP SDK from v3.34.0 to v6.7.0.
  • Tweak – Bump minimum WP version from 4.4 to 5.6.
  • Tweak – Bump minimum PHP version from 5.4 to 7.3.
  • Tweak – Bump minimum WC version from 3.0.9 to 6.0.
  • Tweak – Bump WC tested up to version to 6.7.

2.7.0 – 2022-09-06

  • Add – PayPal Pay Later support to buyers from Italy and Spain.

2.6.5 – 2022-06-14

  • Tweak – Update development tools
  • Tweak – Bump «WordPress tested up to» version to 6.0

2.6.4 – 2022-04-04

  • Fix – Improve Subscriptions with WooCommerce Payments feature compatibility with Braintree (PayPal) Buttons
  • Tweak – Fraud tools setting description improvements

2.6.3 – 2022-03-16

  • Fix – is_ajax deprecation message
  • Fix – URL for dynamic descriptors documentation in settings page
  • Fix – Don’t show «- OR -» if Apple Pay enabled but not available in current browser

2.6.2 – 2021-11-16

  • Feature – Add support for disabling funding methods
  • Feature – Allow updating of expiration dates for credit cards in ‹My Account›
  • Tweak – Update ‹device data› capture inner workings

See changelog for all versions.